---
- name: "Include OS-specific e2fsprogs installation tasks"
  include_tasks: "install-e2fsprogs-{{ ansible_os_family }}-{{ ansible_distribution_major_version }}.yml"

- name: "Include OS-specific lustre repo configuration tasks"
  include_tasks: "install-repo-{{ ansible_os_family }}-{{ ansible_distribution_major_version }}.yml"

- name: "Install Lustre server packages"
  yum:
    name: "{{ lustre_server_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when: lustre_version is version('2.9.0', '>=')

- name: "Install Lustre server debuginfo packages"
  yum:
    name: "{{ lustre_server_debuginfo_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when:
    - lustre_version is version('2.9.0', '>=')
    - lustre_install_debuginfo | bool

- name: "Install Lustre (legacy) server packages"
  yum:
    name: "{{ lustre_server_legacy_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when: lustre_version is version('2.9.0', '<')

- name: "Install Lustre HA resource agents packages"
  yum:
    name: "{{ lustre_ha_resource_agents_packages }}"
    enablerepo: "{{ lustre_repo_name | default(omit) }}"
    state: present
  when: lustre_version is version('2.10.0', '>=')
